PHP K�sikirja
Edellinen |  | Seuraava

# ftp_nb_continue

(PHP 4 >= 4.3.0, PHP 5)

ftp_nb_continue -- Continues retrieving/sending a file (non-blocking)

## Description

int ftp_nb_continue ( resource ftp_stream )

Continues retrieving/sending a file non-blocking.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

## Return values

Returns `FTP_FAILED` or `FTP_FINISHED` or `FTP_MOREDATA`.

## Examples

Esimerkki 1. ftp_nb_continue() example

`<?php // Initate the download $ret = ftp_nb_get($my_connection, "test", "README", FTP_BINARY); while ($ret == FTP_MOREDATA) { // Continue downloading... $ret = ftp_nb_continue($my_connection); } if ($ret != FTP_FINISHED) { echo "There was an error downloading the file..."; exit(1); } ?>`

Edellinen | Alkuun | Seuraava
ftp_mkdir | Ylös | ftp_nb_fget